/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlRootElement
public class EclipticMap implements Serializable {

	/**
	 * serialVersion of CarringtonMap Class
	 */
	private static final long serialVersionUID = 1L;

	private EclipticMapHeader eclipticMapHeader;

	@XmlElement
	public EclipticMapHeader getHeader() {
		return eclipticMapHeader;
	}

	@XmlJavaTypeAdapter(FitsAdapter.class)
	@XmlElement
	public byte[] dataCompressed;

	public EclipticMap() {
		super();
	}

	public EclipticMap(EclipticMapHeader eclipticMapHdr) {
		super();
		eclipticMapHeader = eclipticMapHdr;
	}

	public boolean hasHeader() {
		return (eclipticMapHeader == null);
	}

	public void setHeader(EclipticMapHeader eclipticMapHdr) {
		eclipticMapHeader = eclipticMapHdr;
	}

}
